extern short printf();
extern void readfile();
extern short gets();

#define DATA_SIZE 512
#define FILE_SIZE 512 

short
main()
{
   char data[DATA_SIZE];
   char file[FILE_SIZE];

   printf("Please enter the file name: ");

   gets(file);

   readfile(file, data);

   printf("%s", data);

   return 0;
}

#include "libc.c"

